/* eslint-disable @typescript-eslint/camelcase */
export const EN = {
  name: 'Name',
  email: 'Email',
  password: 'Password',
  two_fa_code: '2FA code',
  send: 'Send',
  submit: 'Submit',
  signup: 'Finish',
  sign_in: 'Sign in',
  sign_in_button: 'Sign in',
  sign_out: 'Sign Out',
  reset_link_was_sent: 'A password reset link was sent to your email',
  forgot_password_question: 'Forgot your password?',
  dont_have_wallet_question: 'Don’t have a wallet?',
  code: 'Code',
  next_button: 'Next',
  continue_button: 'Continue',
  confirm_button: 'Confirm',
  withdraw_header: 'Send',
  seed_words_button: 'Show seed words',
  import_wallet_button: 'Import existing wallet',
  already_have_wallet_button: 'Already have a Detoken wallet?',
  close_button: 'Close',
  change_password_button: 'Change password',
  enable_2fa_button: 'Enable 2FA',
  disable_2fa_button: 'Disable 2FA',
  create_wallet_title: 'Create a Wallet',
  create_wallet_subtitle:
    'Create a new wallet or import an existing wallet with seed words.',
  create_account_subtitle: 'Enter some basic information.',
  seed_words_title: 'Seed words',
  backup_words_subtitle: 'Back-up your wallet.',
  create_wallet: 'Create wallet',
  import_wallet: 'Import wallet',
  enter_12_words: 'Enter your wallet seed words to reset your password.',
  invalid_seed_phrase: 'Invalid seed phrase',
  wrong_mnemonic_phrase: 'Invalid combination',
  success_reset_password: 'Your password was successfully reset',
  password_changed: 'Your password was successfully changed',
  new_password: 'New password',
  confirm_new_password: 'Confirm new password',
  passwords_mismatch: `New passwords don't match`,
  log_out: 'Logout',
  wallet_address: 'Receiving address',
  withdrawal_success: 'Your transfer was sent successfully',
  sin_duplicate: 'A Detoken wallet with the same seed words already exists',
  create_wallet_button: 'Create new wallet',
  understand_backup_seed: 'I understand.',
  use_2fa: 'Use 2FA',
  do_not_use_2fa: "Don't use 2FA",
  two_fa_authentication_title: '2FA',
  two_fa_authentication_subtitle:
    'Two-factor authentication (2FA) adds an extra layer of protection to your wallet. Whenever you sign in to Detoken you will need to enter your 2FA code generated using a 2FA application.',
  enter_your_2fa_code: 'Enter your six digit 2FA code.',
  send_reset_link: 'Send reset link',
  reset_password_button: 'Reset password',
  reset_password_header: 'Reset Password',
  reset_password_link_will_be_sent:
    'Enter the e-mail associated with your wallet to get a reset link.',
  two_fa: '2FA',
  setup_two_fa_subtitle: 'Scan the QR code with your 2FA app.',
  success_step_title: 'Check your e-mail',
  success_step_subtitle:
    "Click the link we've just sent to your email address to finish creating your wallet (check spam, just in case).",
  seed_words_keep_private_note:
    'Seed words allow you to import your wallet and access your funds. They must be kept private and stored somewhere safe.',
  seed_words_keep_restore_note:
    'Your seed words are required to reset your password or restore your wallet. They allow you to import your wallet and access your funds. They must be kept private and stored somewhere safe.',
  seed_words_placeholder: 'Seed words',
  import_seed_subtitle:
    'Enter your 12 seed words to import a wallet into Detoken.',
  no_transactions_yet: 'No transfers yet..',
  scan_qr_code_subtitle: 'Scan or copy your receiving address.',
  received_title: 'Received',
  sent_title: 'Sent',
  withdrawal_details_title: 'Sent BCH',
  deposit_details_title: 'Received BCH',
  block_explorer_link: 'View on block explorer.',
  transaction_id: 'Transaction hash',
  date: 'Date',
  recipient_address: 'Recipient address',
  referral_link_title: 'Referral link',
  referral_link_subtitle:
    'Refer friends to Detoken using your referral link. Rewards coming soon.',
  password_title: 'Password',
  password_subtitle: 'Change your wallet password.',
  two_fa_title: '2FA',
  two_fa_disable_subtitle: 'Disable two-factor authentication (2FA).',
  two_fa_enable_subtitle: 'Enable two-factor authentication (2FA).',
  current_password_placeholder: 'Current password',
  new_password_placeholder: 'New password',
  repeat_new_password_placeholder: 'Repeat new password',
  e: {
    validation_2fa_local_time: 'Check your 2FA code (local time)',
    required: 'Enter your {{field, lowercase}}',
    already_exists: 'Already exist',
    too_short: 'Enter at least {{length}} symbols',
    validation_user_name: 'Only use letters',
    validation_email: 'Email is not valid',
    lowercase_missing: 'Enter a lowercase letter',
    uppercase_missing: 'Enter an uppercase letter',
    missing_special_char: 'Enter a special character',
    accept_agreements: 'Accept terms to continue',
    understand_backup_seed: 'Tick the checkbox to continue',
    something_wrong: 'Something went wrong',
    invalid_value: 'Invalid value',
    unauthorized: 'Invalid credentials',
    validation_password: 'Check your password',
    validation_2fa_code: 'Check your 2FA code',
    user_is_not_active: 'Activate your wallet before signing in',
    server_unavailable: 'Server unavailable',
    validation_encrypted_mnemonic: 'Invalid seed phrase',
    validation_side: 'Contract side is not valid',
    validation_pubkey: 'Invalid taker public key',
    validation_hegde_units: 'Invalid hedge units amount',
    validation_address: 'Invalid contract address',
    bad_contract: 'Bad contract',
    mismatched_contract: 'Mismatched contract',
    validation_funding_tx: 'Funding transaction is not valid',
    validation_funding_tx_input_amount:
      'Invalid input amount in funding transaction',
    validation_funding_tx_contract_output:
      'Invalid output amount in funding transaction',
    validation_funding_tx_fee_output:
      'Invalid fee output amount in funding transaction',
    validation_funding_tx_premium_output:
      'Invalid premium output amount in funding transaction',
    not_found: 'Not found',
    validation_code: 'Invalid code',
  },
  set_new_password: 'Enter a new password for your Detoken wallet.',
  seed_words: 'Seed words',
  email_confirmed: 'E-mail confirmed',
  blog: 'Blog',
  terms: 'Terms',
  privacy: 'Privacy',
  about: 'About',
  wallet: 'Wallet',
  futures: 'Futures',
  account: 'Account',
  enter_amount_you_wish_to_transfer:
    'Enter the amount of {{currency}} to send.',
  max_button: 'Max',
  amount: 'Amount',
  insufficient_funds: 'Insufficient funds',
  amount_below_minimum: 'Less than minimum of {{value}}',
  contract_amount_below_minimum: 'Less than minimum of {{value}}',
  enter_the_recipient_wallet_address: 'Enter the recipient wallet address.',
  confirm_your_transfer: 'Confirm your transfer details.',
  successfully_sent: 'Successfully sent {{amount}}',
  value_is_empty: 'Enter something here',
  address: 'Address',
  fee: 'Fee',
  total: 'Total',
  continue: 'Continue',
  wrong_address: 'Address format is wrong',
  close: 'Close',
  balance: 'Balance',
  receive: 'Receive',
  transfers: 'Transfers',
  secret_copied: 'Secret copied',
  copied: 'Copied',
  terms_and_conditions: `Please read and agree to Detoken's terms to continue.`,
  i_am_eighteen_years_old: 'I am 18 years of age or older.',
  i_agree_with_the_user_agreement:
    'I agree with the <1>user agreement</1> and <3>privacy policy</3>.',
  not_resident_of_prohibited_jurisdiction:
    'I am not a resident of a <1>prohibited jurisdiction</1>.',
  dashboard: 'Dashboard',
  send_bch_to_your_receiving_address:
    'Send BCH to your Detoken wallet using your receiving address.',
  enter_your_password_to_enable_2fa:
    'Enter your wallet password to enable two-factor authentication.',
  we_recommend_google_authenticator:
    'Detoken suggests Google Authenticator for <2>iOS</2> and <6>Android</6> mobile devices.',
  enable_2fa: 'Enable 2FA',
  current_password: 'Current password',
  two_fa_secret: '2FA secret',
  two_fa_successfully_enabled: '2FA successfully enabled',
  disable_2fa: 'Disable 2FA',
  enter_password_to_disable_2FA: 'Enter your wallet password to disable 2FA.',
  disable_button: 'Disable',
  two_fa_disabled: '2FA disabled',
  trying_to_reconnect: 'Connection lost. Trying to reconnect...',
  start_trading_instantly: 'Welcome back.',
  account_page: 'Account',
  email_activation_page: 'Email activation',
  dashboard_page: 'Dashboard',
  transfers_page: 'Transfers',
  reset_password_page: 'Reset password',
  login_2fa_page: 'Login - 2FA',
  signin_page: 'Sign in',
  logout_page: 'Sign Out',
  signup_page: 'Sign up',
  are_you_sure_you_wish_to_sign_out:
    'Are you sure you wish to sign out of Detoken?',
  cancel: 'Cancel',
  you_have_successfully_signed_out: 'You have successfully signed out',
  page_not_found: 'Page not found',
  long_hedge_confirm_title: 'Confirm BCH-USD {{position}} position',
  hedge_confirm_subtitle:
    'Lock the USD value of BCH for the contract duration: receive the locked USD value back.',
  long_confirm_subtitle:
    'Bet that the USD value of BCH will increase over the contract duration with 3:1 leverage.',
  contract_start_price: 'Start price',
  low_liquidation_price: 'Low liquidation price',
  high_liquidation_price: 'High liquidation price',
  margin: 'Margin',
  duration: 'Duration',
  value: 'Value',
  premium_earn_pay: '(you {{type}})',
  total_contract_cost: 'Total contract cost',
  contract_details: 'Contract details',
  starting_block_height: 'Starting block height',
  block_duration: 'Block duration',
  expires_at_estimated: 'Expires at (estimated)',
  hedge_value: 'Hedge value',
  long_value: 'Long value',
  contract_address: 'Contract address',
  back_button: 'Back',
  start_hedge: 'Start hedge',
  start_long: 'Start long',
  v1_BCH_1d: '1 day',
  start_price: 'Start price',
  premium: 'Premium',
  earn: 'earn',
  pay: 'pay',
  hedge: 'Hedge',
  long: 'Long',
  contracts_value: 'In contracts',
  account_value: 'Total',
  bch_usd_price_at_contract_start: 'BCH-USD price at contract start',
  premium_percentage: 'Premium percentage',
  approximated_earnings: 'Approximate earnings due to funding cost',
  approximated_cost: 'Approximate funding cost',
  start_value: 'Start value',
  positions: 'Positions',
  positions_page: 'Positions',
  only_show_active: 'Only show active',
  current_value: 'Current value',
  less_then_one_hour: '<1 hour',
  position: 'Position',
  expired: 'Expired',
  expires_in: 'Expires in',
  no_positions: 'No positions yet...',
  loading: 'Loading...',
  expires_in_estimated: 'Expires in (estimated)',
  created_at: 'Created at',
  start_hedge_value: 'Start hedge value',
  start_long_value: 'Start long value',
  oracle_public_key: 'Oracle public key ',
  learn_more: 'Learn more',
  amount_greater_maximum: 'More than max of {{value}}',
  contract_amount_greater_maximum: 'More than max of {{value}}',
  day_one: 'day',
  day_other: 'days',
  hour_one: 'hour',
  hour_other: 'hours',
  block_one: 'block',
  block_other: 'blocks',
  takerSide: 'taker side',
  takerPubKey: 'taker public key',
  contractAddress: 'contract address',
  fundingTransaction: 'funding transaction',
  positions_created: '{{side, capitalize}} position created successfully',
  contract_was_recalculated: 'Contract data was recalculated',
  contract_was_settled: 'A contract was just settled',
  light_theme: 'Light theme',
  dark_theme: 'Dark theme',
  successful_deposit: '{{amount}} BCH received',
  code_email_is_missing_in_url: 'Code or E-mail is missing in URL',
  invalid_contract_inputs: 'Invalid contract inputs',
  position_title: '{{side}} position',
  start_earn: 'Earn',
  start_pay: 'Pay',
  profit_loss: 'P&L', // profit/loss
  position_profit: 'Profit',
  hedge_position_explanation:
    'Lock the USD value of your BCH for a 24-hour period.',
  long_position_explanation:
    'Bet that the price of BCH-USD will rise over a 24-hour period with 3:1 margin.',
  settle_price: 'Settle price',
  settle_reason: 'Settle reason',
  settle_value: 'Settle value',
  maturation: 'Maturation',
  liquidation: 'Liquidation',
  detoken_fee: 'Detoken fee',
  liquidation_price: 'Liquidation price',
  oops_something_went_wrong: 'Oops! Something went wrong.',
  prohibited_jurisdiction_text:
    'You appear to be accessing Detoken from a <1>prohibited jurisdiction</1>.',
  browser_not_supported: 'Your browser is not fully supported!',
  not_available: 'N/A',
  view_your_wallet_seed_words: 'View your wallet seed words.',
  enter_wallet_password_to_view_seed_words:
    'Enter your wallet password to view your seed words.',
  wrong_password: 'Wrong password',
  email_already_registered: 'Email already registered',
  mnemonic_already_registered: 'Wallet already registered',
  wallet_with_email_already_exists:
    'A wallet with this e-mail already exists, please try to <2>sign in</2> or <5>reset your password</5>.',
  wallet_with_sin_already_exists:
    'A wallet with these seed words already exists, please try to <2>sign in</2> or <5>reset your password</5>.',
  new_version_header: 'New version detected',
  new_version_text:
    'A new version of the Detoken client app has been detected. If you wish to update your client now please reload the page. You can do this later.',
  reload_button: 'Reload',
};
